import { ModuleWithProviders } from '@angular/core';
import { EmployeeServiceConfig } from './model/employee.service.config';
import * as i0 from "@angular/core";
import * as i1 from "./pipes/departments.pipe";
import * as i2 from "./pipes/employee-by-dn.pipe";
import * as i3 from "./pipes/employees-with-property-value.pipe";
import * as i4 from "./pipes/filter-employees.pipe";
import * as i5 from "./pipes/is-member-of.pipe";
import * as i6 from "./pipes/employee-photo-url.pipe";
import * as i7 from "./pipes/sort-employees.pipe";
import * as i8 from "@angular/common";
export * from './model/employee.service.config';
export * from './model/employee';
export * from './services/employee.service';
export * from './pipes/departments.pipe';
export * from './pipes/employee-by-dn.pipe';
export * from './pipes/employee-photo-url.pipe';
export * from './pipes/employees-with-property-value.pipe';
export * from './pipes/filter-employees.pipe';
export * from './pipes/is-member-of.pipe';
export * from './pipes/sort-employees.pipe';
export declare class EmployeeModule {
    static forRoot(employeeConfig: EmployeeServiceConfig): ModuleWithProviders<EmployeeModule>;
    constructor(parentModule: EmployeeModule);
    static ɵfac: i0.ɵɵFactoryDeclaration<EmployeeModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<EmployeeModule, [typeof i1.DepartmentsPipe, typeof i2.EmployeeByDnPipe, typeof i3.EmployeesWithPropertyValuePipe, typeof i4.FilterEmployeesPipe, typeof i5.IsMemberOfPipe, typeof i6.EmployeePhotoUrlPipe, typeof i7.SortEmployeesPipe], [typeof i8.CommonModule], [typeof i1.DepartmentsPipe, typeof i2.EmployeeByDnPipe, typeof i3.EmployeesWithPropertyValuePipe, typeof i4.FilterEmployeesPipe, typeof i5.IsMemberOfPipe, typeof i6.EmployeePhotoUrlPipe, typeof i7.SortEmployeesPipe]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<EmployeeModule>;
}
