import { ModuleWithProviders } from '@angular/core';
import { SharePointServiceConfig } from './model/sharepoint.service.config';
import * as i0 from "@angular/core";
import * as i1 from "./pipes/sharepoint-photo-url.pipe";
import * as i2 from "./pipes/sharepoint-url.pipe";
import * as i3 from "@angular/common";
export * from './model/sharepoint-calendar-event';
export * from './model/sharepoint-customer-visit';
export * from './model/sharepoint-employee-picture';
export * from './model/sharepoint-list';
export * from './model/sharepoint-list-item';
export * from './model/sharepoint-person';
export * from './model/sharepoint-picture';
export * from './model/sharepoint.service.config';
export * from './services/sharepoint.service';
export * from './pipes/sharepoint-photo-url.pipe';
export * from './pipes/sharepoint-url.pipe';
export declare class SharePointModule {
    static forRoot(sharePointConfig: SharePointServiceConfig): ModuleWithProviders<SharePointModule>;
    constructor(parentModule: SharePointModule);
    static ɵfac: i0.ɵɵFactoryDeclaration<SharePointModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SharePointModule, [typeof i1.SharePointPhotoUrlPipe, typeof i2.SharePointUrlPipe], [typeof i3.CommonModule], [typeof i1.SharePointPhotoUrlPipe, typeof i2.SharePointUrlPipe]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SharePointModule>;
}
